#!/bin/sh

set +e; result=0; \
echo "Testing legal rdf/xml"; \
for test in ex-00.rdf ex-01.rdf ex-02.rdf ex-04.rdf ex-05.rdf ex-06.rdf ex-07.rdf ex-08.rdf ex-09.rdf ex-10.rdf ex-11.rdf ex-12.rdf ex-13.rdf ex-14.rdf ex-15.rdf ex-16.rdf ex-17.rdf ex-18.rdf ex-20.rdf ex-21.rdf ex-22.rdf ex-23.rdf ex-24.rdf ex-25.rdf ex-26.rdf ex-27.rdf ex-28.rdf ex-29.rdf ex-30.rdf ex-31.rdf ex-32.rdf ex-33.rdf ex-34.rdf ex-35.rdf ex-36.rdf ex-37.rdf ex-38.rdf ex-39.rdf ex-40.rdf ex-41.rdf ex-46.rdf ex-47.rdf ex-48.rdf ex-49.rdf ex-51.rdf ex-53.rdf ex-54.rdf ex-56.rdf ex-57.rdf ex-58.rdf ex-61.rdf 22-rdf-syntax-ns.rdf rdfs-namespace.rdf rdf-schema.rdf owl-schema.rdf daml-oil.rdf wine.rdf; do \
  name=`basename $test .rdf` ; \
  if test $name = 22-rdf-syntax-ns; then \
    baseuri=http://www.w3.org/1999/02/22-rdf-syntax-ns; \
  elif test $name = rdfs-namespace -o $name = rdf-schema; then \
    baseuri=http://www.w3.org/2000/01/rdf-schema; \
  elif test $name = owl-schema; then \
    baseuri="http://www.w3.org/2002/07/owl"; \
  elif test $name = daml-oil; then \
    baseuri="http://www.daml.org/2001/03/daml+oil"; \
  elif test $name = wine; then \
    baseuri="http://www.w3.org/TR/owl-guide/wine.rdf"; \
  else \
    baseuri=http://librdf.org/raptor/tests/$name.rdf; \
  fi; \
  echo -n "Checking $test "; \
  /opt/lsb/appbat/bin/rapper -q -o ntriples ./$test $baseuri > $name.res 2> $name.err; \
  status=$?; \
  if test $status != 0 -a $status != 2 ; then \
    echo FAILED returned status $status; result=1; \
  elif cmp ./$name.out $name.res >/dev/null 2>&1; then \
    if test $status = 2 ; then \
      echo "ok with warnings"; grep Warning $name.err; \
    else \
      echo "ok"; \
    fi; \
  else \
    echo "FAILED"; \
    diff ./$name.out $name.res; result=1; \
  fi; \
  rm -f $name.res $name.err; \
done; \
set -e; exit $result
